Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1055906 - Should prompt warning message when user add cartridge using invalid url before clicking at "Add Cartridge"
Summary: Should prompt warning message when user add cartridge using invalid url befor...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Online
Classification: Red Hat
Component: Website
Version: 2.x
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: ---
Assignee: Clayton Coleman
QA Contact: libra bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-21 08:18 UTC by Tian Feng
Modified: 2015-05-15 01:32 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-26 19:09:46 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Tian Feng 2014-01-21 08:18:55 UTC
Description of problem:
Go to web console and then try to add a cartridge using invalid url. When I input "blahblah" in the text field, then click at the link "blahblah", it will direct to console/application/<uuid>-<app_name>/cartridge_type/blahblah, which is not existed. And fail to add cartridge. It should warn user before user add this cartridge.

Version-Release number of selected component (if applicable):
INT(devenv_4246)

How reproducible:
Always

Steps to Reproduce:
1. Go to web console
2. Input "blahblah" when adding cartridge via url. Then click at link "blahblah" and see the result. Click at "Add Cartridge" to try to add cartridge.
3. 

Actual results:
Click at link for "blahblah" will point to 404 page. Will not add cartridge. No warning prompts.

Expected results:
It should warn user the url is invalid.

Additional info:

Comment 1 Jordan Liggitt 2014-01-23 19:16:50 UTC
For urls without a protocol, we'll just assume http and try it.

Will merge in https://github.com/openshift/origin-server/pull/4570

Comment 2 openshift-github-bot 2014-01-23 19:49:56 UTC
Commits pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/563c0089b4866ba1248d3d7d237b3eac2bd77d49
Fix bug 1055906: Add http:// to cartridge url if no scheme provided

https://github.com/openshift/origin-server/commit/d65b8cade0c27b3a1c88eddcd0a7a8564ed62aee
Merge pull request #4570 from liggitt/bug_1055906_downloadable_cartridge_scheme

Fix bug 1055906: Add http:// to cartridge url if no scheme provided

Comment 3 Yujie Zhang 2014-01-24 05:41:25 UTC
Tested on devenv_4269, the http:// will be added for urls without a protocol now, so verify this bug, thanks.


Note You need to log in before you can comment on or make changes to this bug.